# TdApi.CreateTemporaryPassword (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CreateTemporaryPassword

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateTemporaryPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.TemporaryPasswordState>
it.tdlight.jni.TdApi.CreateTemporaryPassword

Enclosing class:
  TdApi

public static final class TdApi.CreateTemporaryPassword extends TdApi.Function<TdApi.TemporaryPasswordState>
Creates a new temporary password for processing payments. Returns `TemporaryPasswordState`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`password`
The 2-step verification password of the current user.
`int`
`validFor`
Time during which the temporary password will be valid, in seconds; must be between 60 and 86400.

## Constructor Summary

Constructors
Constructor
Description
`CreateTemporaryPassword()`
Creates a new temporary password for processing payments.
`CreateTemporaryPassword(DataInput input)`
Creates a new temporary password for processing payments.
`CreateTemporaryPassword(String password, int validFor)`
Creates a new temporary password for processing payments.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### password

public String password
The 2-step verification password of the current user.

### validFor

public int validFor
Time during which the temporary password will be valid, in seconds; must be between 60 and 86400.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CreateTemporaryPassword

public CreateTemporaryPassword()
Creates a new temporary password for processing payments. Returns `TemporaryPasswordState`

### CreateTemporaryPassword

public CreateTemporaryPassword(String password, int validFor)
Creates a new temporary password for processing payments. Returns `TemporaryPasswordState`

Parameters:
  `password` - String The 2-step verification password of the current user.
  `validFor` - int Time during which the temporary password will be valid, in seconds; must be between 60 and 86400.

### CreateTemporaryPassword

public CreateTemporaryPassword(DataInput input) throws IOException
Creates a new temporary password for processing payments. Returns `TemporaryPasswordState`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`